- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptionsv2/deactivateoffertargeting.md.txt#try-it)

Deactivates targeting for a specific offer.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/subscriptionsv2/tokens/{purchaseToken}:deactivateOfferTargeting`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The package of the application for which this subscription was purchased. Required. |
| `purchaseToken` | `string` Required. The purchase token provided to the user's device when the subscription was purchased. Required. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "offerId": string } ``` |

| Fields ||
|---|---|
| `offerId` | `string` Required. The specific discounted offer ID to target for base item. Required. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`